=== debian/changelog ===
plv8 (1.4.0.ds-2) unstable; urgency=low

  [ Martin Pitt ]
  * debian/tests/control: Add missing postgresql-server-dev-all test
    dependency, so that installcheck can find pg_buildext.
  * debian/tests/installcheck: Create build-$version if it does not exist.

  [ Christoph Berg ]
  * Use plain pg_buildext; pgxs.mk in 9.1/9.2/9.3 got fixed for srcdir.
  * Install docs in all module packages built.
  * debian/tests/control: Use allow-stderr (needs autopkgtest 2.3).
  * debian/pgversions: use "9.0"+ and B-D on pg-server-dev-all >= 148.
  * debian/control.in: Section: database.
  * debian/watch: Mangle upstream version to remove .ds.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Sep 2013 13:04:56 +0200

plv8 (1.4.0.ds-1) unstable; urgency=low

  * Remove coffee-script.js and livescript.js from the source tarball (we
    don't have source code for these), and disable building the extensions.

 -- Christoph Berg <myon@debian.org>  Mon, 01 Jul 2013 13:21:31 +0200

plv8 (1.4.0-2) unstable; urgency=low

  * Manually loop over the versions to build/install instead of using
    pg_buildext because the buildsystem doesn't like "srcdir" in the
    environment.
  * Remove 8.4 from debian/pgversions as it fails on i386 (amd64 works).
  * Makefile: use pg_config --includedir-server so we get the version
    number for the right PostgreSQL version.
  * Run make installcheck using autopkgtest. (Needs postgresql-common >= 146).
  * Point Vcs headers at anonscm.debian.org.

 -- Christoph Berg <myon@debian.org>  Fri, 28 Jun 2013 15:13:29 +0200

plv8 (1.4.0-1) unstable; urgency=low

  * Initial upload.
    Closes: #706713
  * This Debian package was created for xtuple.com, and donated to the
    Debian community.

 -- Evgeni Golov <evgeni@debian.org>  Fri, 03 May 2013 09:55:52 +0200
