=== debian/control ===
Source: plv8
Priority: extra
Maintainer: Evgeni Golov <evgeni@debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 8.0.0), postgresql-server-dev-all (>= 148~),
 libv8-dev, markdown
Standards-Version: 3.9.4
Section: database
Homepage: http://code.google.com/p/plv8js/
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/plv8.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/plv8.git
XS-Testsuite: autopkgtest

Package: postgresql-9.3-plv8
Architecture: any
Depends: postgresql-9.3, ${shlibs:Depends}, ${misc:Depends}
Provides: postgresql-plv8
Description: Procedural language interface between PostgreSQL and JavaScript
 V8 is a high performance JavaScript engine written in C++.  It is used
 in the document-oriented data store MongoDB.
 .
 PostgreSQL is an open source SQL database server.
 .
 This package provides a procedural language interface to JavaScript from
 PostgreSQL. Procedural languages are used to write functions
 which can be called in database queries.
