=== debian/rules ===
#!/usr/bin/make -f

SRCDIR = $(CURDIR)
include /usr/share/postgresql-common/pgxs_debian_control.mk
clean: debian/control
.PHONY: debian/control

export DISABLE_DIALECT=1

override_dh_auto_build:
	+pg_buildext build $(CURDIR) build-%v
	markdown doc/plv8.md > doc/plv8.html

clean:
	+pg_buildext clean $(CURDIR) build-%v
	rm -rf build-?.? debian/postgresql-?.?-plv8 debian/*.substvars doc/plv8.html
	dh $@

override_dh_installdocs:
	dh_installdocs --all doc/*

override_dh_auto_test:
	# noop

override_dh_auto_install:
	+pg_buildext install $(CURDIR) build-%v postgresql-%v-plv8

%:
	dh $@
