=== debian/changelog ===
plv8 (1.4.2.ds-2+deb8u1) jessie; urgency=high

  * Security bugfix picked from 1.4.9: Check for permission to call functions.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 23 Mar 2017 10:59:59 +0100

plv8 (1.4.2.ds-2) unstable; urgency=medium

  * Pull patches from upstream to support PostgreSQL 9.4.

 -- Christoph Berg <myon@debian.org>  Mon, 28 Jul 2014 12:57:20 +0200

plv8 (1.4.2.ds-1) unstable; urgency=medium

  * New upstream release.
  * Add origtargz target to debian/rules.
  * Set team as maintainer, bump dh to 9.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 30 Apr 2014 10:36:52 +0200
