=== debian/watch ===
version=3
opts="dversionmangle=s/\.ds//" \
http://code.google.com/p/plv8js/downloads/list?can=1 .*/plv8-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
