=== debian/changelog ===
plv8 (1:1.4.6.ds-1) unstable; urgency=medium

  * New 1.4 upstream release supporting v8 3.14. Thanks to Jerry Sievert!
    (The 1.5 series needs v8 4.x that isn't available in sid yet.)
  * Add "expected" files for PG versions <= 9.3.

 -- Christoph Berg <myon@debian.org>  Mon, 28 Mar 2016 16:48:05 +0200

plv8 (1.5.0.ds-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Ignore test failures for 9.0 and 9.1, they don't have the json data type.
  * Silence sequence generation notices in 9.2 in the test suite.
  * Project has moved to github.
  * Testsuite has problems, we are investigating.

  [ Martin Pitt ]
  * New upstream release 1.4.4.
  * Build for PostgreSQL 9.5. (Closes: #810637)
  * Drop backported patches.
  * debian/rules: Use "pg_buildext loop" to fix build with current p-common.
  * Bump Standards-Version to 3.9.6 (no changes needed).
  * debian/control: Drop obsolete XS-Testsuite: header.

  [ Evgeni Golov ]
  * New upstream release 1.5.0.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 18 Mar 2016 12:18:59 +0100
