=== debian/control ===
--- 
+++ 
@@ -4,16 +4,15 @@
 Uploaders: Evgeni Golov <evgeni@debian.org>, Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 148~),
  libv8-dev, markdown
-Standards-Version: 3.9.5
+Standards-Version: 3.9.7
 Section: database
-Homepage: http://code.google.com/p/plv8js/
+Homepage: https://github.com/plv8/plv8
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/plv8.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/plv8.git
-XS-Testsuite: autopkgtest
 
-Package: postgresql-9.4-plv8
+Package: postgresql-9.5-plv8
 Architecture: any
-Depends: postgresql-9.4, ${shlibs:Depends}, ${misc:Depends}
+Depends: postgresql-9.5, ${shlibs:Depends}, ${misc:Depends}
 Provides: postgresql-plv8
 Description: Procedural language interface between PostgreSQL and JavaScript
  V8 is a high performance JavaScript engine written in C++.  It is used
