=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 export DISABLE_DIALECT=1
 
 override_dh_auto_build:
-	+pg_buildext build $(CURDIR) build-%v
 	markdown doc/plv8.md > doc/plv8.html
 
 clean:
@@ -23,7 +22,7 @@
 	# noop
 
 override_dh_auto_install:
-	+pg_buildext install $(CURDIR) build-%v postgresql-%v-plv8
+	+pg_buildext loop postgresql-%v-plv8
 
 %:
 	dh $@
@@ -32,4 +31,5 @@
 DIR = $(shell basename $(CURDIR))
 origtargz: clean
 	! test -f .pc/applied-patches
+	rm -f coffee-script.js livescript.js
 	cd .. && tar --exclude .git --exclude .pc --exclude debian -cvzf plv8_$(VERSION).orig.tar.gz $(DIR)
