=== debian/watch ===
version=3
opts="dversionmangle=s/\.ds//" \
https://github.com/plv8/plv8/releases .*/v(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
