=== debian/changelog ===
plv8 (1:1.4.8.ds-2.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg (jenkins-plv8-source-distribution=xenial-38,
    65e1ce7581da7ddb38a02a0fa6ad107fd6a8fc31/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Fri, 07 Oct 2016 20:11:36 +0200

plv8 (1:1.4.8.ds-2) unstable; urgency=medium

  * Fix build failure with gcc-6. (Closes: #831190)
  * Update for 9.6.

 -- Christoph Berg <myon@debian.org>  Fri, 07 Oct 2016 18:37:36 +0200

plv8 (1:1.4.8.ds-1) unstable; urgency=medium

  * New upstream version.
  * Makefile: Add CXXFLAGS so we get hardening and debug symbols.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 21 Apr 2016 11:01:14 +0200

plv8 (1:1.4.7.ds-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sat, 16 Apr 2016 23:32:00 +0200
