=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/plv8.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/plv8.git
 
-Package: postgresql-9.5-plv8
+Package: postgresql-9.6-plv8
 Architecture: any
-Depends: postgresql-9.5, ${shlibs:Depends}, ${misc:Depends}
+Depends: postgresql-9.6, ${shlibs:Depends}, ${misc:Depends}
 Provides: postgresql-plv8
 Description: Procedural language interface between PostgreSQL and JavaScript
  V8 is a high performance JavaScript engine written in C++.  It is used
