=== debian/changelog ===
plv8 (1:1.4.10.ds-2) unstable; urgency=medium

  * Upload with PostgreSQL 10 support.

 -- Christoph Berg <myon@debian.org>  Wed, 27 Sep 2017 21:25:09 +0200

plv8 (1:1.4.10.ds-1) unstable; urgency=medium

  * Bugfix release: Fix startup proc for multiple arguments.
  * Remove "remove-defines" patch, went upstream.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Apr 2017 19:24:49 +0200

plv8 (1:1.4.9.ds-1) unstable; urgency=medium

  * Security bugfix release: Check for permission to call functions.

 -- Christoph Berg <myon@debian.org>  Wed, 22 Mar 2017 19:01:08 +0100

plv8 (1:1.4.8.ds-3) unstable; urgency=medium

  * Remove Evgeni from Uploaders. Thanks!

 -- Christoph Berg <myon@debian.org>  Sat, 14 Jan 2017 21:15:06 +0100
