=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: plv8
 Priority: extra
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Evgeni Golov <evgeni@debian.org>, Christoph Berg <myon@debian.org>
+Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 148~),
  libv8-dev, markdown
-Standards-Version: 3.9.7
+Standards-Version: 4.1.0
 Section: database
 Homepage: https://github.com/plv8/plv8
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/plv8.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/plv8.git
 
-Package: postgresql-9.6-plv8
+Package: postgresql-10-plv8
 Architecture: any
-Depends: postgresql-9.6, ${shlibs:Depends}, ${misc:Depends}
+Depends: postgresql-10, ${shlibs:Depends}, ${misc:Depends}
 Provides: postgresql-plv8
 Description: Procedural language interface between PostgreSQL and JavaScript
  V8 is a high performance JavaScript engine written in C++.  It is used
