=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 %:
 	dh $@
 
-VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*.ds\).*/\1/p')
+VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: 1:\(.*.ds\).*/\1/p')
 DIR = $(shell basename $(CURDIR))
 origtargz: clean
 	! test -f .pc/applied-patches
