=== debian/watch ===
version=3

# at the moment we are interested in 1.4 releases only

opts="dversionmangle=s/\.ds//" \
https://github.com/plv8/plv8/releases .*/v(1.4.\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
